Subject: Re: Python 2.1 can't find _tkinter.dll. Is there a solution?
From: "Dennis Wilson" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 30 Apr 2001 18:14:37 -0700

Thanks for the information. I did not mean in any way to imply that the
python pre-built was not useful.  I also understand that cygwin has tcl8.0
included in it through the names of cyg*.
From previous travails with python under windows, I had learned to my sorrow
that python wants its tk support to be in very specific places.

I was trying to sort out what would be my best course of action, since I had
run into some difficulties building tcl8.3 and believe (maybe erroneously)
that that version of tk is required for python 2.1. If I remember correctly,
the python setup will search for tk versions and there are two procedures
that require the newer unicode support.

I apologize if I misstated my question to in any way offend.

----- Original Message -----
From: "Jason Tishler" <[email-masked]>
To: "Dennis Wilson" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Monday, April 30, 2001 8:06 AM
Subject: Re: Python 2.1 can't find _tkinter.dll. Is there a solution?

> Dennis,
>
> On Sun, Apr 29, 2001 at 07:08:23PM -0700, Dennis Wilson wrote:
> > I would be mildly curious about why the pre-built release is there.
>
> Umm...because I contributed it as a courtesy to the Cygwin community.
> Note that you don't have to use it, if it does not meet your needs.
> As an example, I use my own build of vim instead of the one in latest.
>
> The approach that I have taken is to submit patches to Python CVS and the
> other projects to which I contribute instead of attempting to maintain
> a set of patches to (re)apply whenever the package is released.
>
> If you would like Cygwin's (contrib) Python to support tkinter, please
> submit the approach patches to the Python Patch Manager on SourceForge so
> that tkinter is supported OOTB.  Let me know when you patches are accepted
> and I will try to apply them against 2.1.  If successful, I will
re-release
> a modified 2.1 with tkinter support.  Otherwise, I will release a build
> of the current Python CVS.
>
> Note that Norman may have already submitted tkinter related patches to
> SourceForge so you may want to collaborate with him to get the latest
> status.
>
> The bottom line is that I am willing to maintain a set of patches
> temporarily but not permanently.  I feel that this a reasonable policy
> -- hopefully, you agree too.
>
> Thanks,
> Jason
>
> --
> Jason Tishler
> Director, Software Engineering       Phone: +1 (732) 264-8770 x235
> Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
> 82 Bethany Road, Suite 7             Email: [email-masked]
> Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple